"""retry with vpa recommendation

Revision ID: 7de14e359959
Revises: 0bcb0aa17be1
Create Date: 2025-01-17 11:08:57.902750

"""
from alembic import op
import sqlalchemy as sa
import ryax.runner.infrastructure.database.metadata


# revision identifiers, used by Alembic.
revision = '7de14e359959'
down_revision = '0bcb0aa17be1'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('recommendation_vpa',
    sa.Column('key', sa.String(), nullable=False),
    sa.Column('timestamp', ryax.runner.infrastructure.database.metadata.TZDateTime(), nullable=False),
    sa.Column('memory', sa.BigInteger(), nullable=True),
    sa.Column('gpu_mig_instance', sa.String(), nullable=True),
    sa.Column('last_oom_timestamp', ryax.runner.infrastructure.database.metadata.TZDateTime(), nullable=False),
    sa.Column('last_gpuoom_timestamp', ryax.runner.infrastructure.database.metadata.TZDateTime(), nullable=False),
    sa.PrimaryKeyConstraint('key')
    )
    op.add_column('action_run', sa.Column('exceed_retry_error', sa.Boolean(), nullable=False, server_default=sa.sql.expression.false()))
    op.add_column('action_run', sa.Column('used_retry_error', sa.Integer(), nullable=False, server_default="0"))
    op.add_column('action_run', sa.Column('exceed_retry_memory_bytes', sa.Boolean(), nullable=False, server_default=sa.sql.expression.false()))
    op.add_column('action_run', sa.Column('used_retry_memory_times', sa.Integer(), nullable=False, server_default="0"))
    op.add_column('action_run', sa.Column('exceed_retry_gpu_gi', sa.Boolean(), nullable=False, server_default=sa.sql.expression.false()))
    op.add_column('action_run', sa.Column('used_retry_gpu_gi_times', sa.Integer(), nullable=False, server_default="0"))
    op.add_column('node_pools', sa.Column('gpu_mode', sa.String(), nullable=False, server_default="full"))
    op.add_column('node_pools', sa.Column('gpu_num_total', sa.Integer(), nullable=False, server_default="0"))
    op.add_column('node_pools', sa.Column('gpu_free_total', sa.Integer(), nullable=False, server_default="0"))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('node_pools', 'gpu_free_total')
    op.drop_column('node_pools', 'gpu_num_total')
    op.drop_column('node_pools', 'gpu_mode')
    op.drop_column('action_run', 'used_retry_gpu_gi_times')
    op.drop_column('action_run', 'exceed_retry_gpu_gi')
    op.drop_column('action_run', 'used_retry_memory_times')
    op.drop_column('action_run', 'exceed_retry_memory_bytes')
    op.drop_column('action_run', 'used_retry_error')
    op.drop_column('action_run', 'exceed_retry_error')
    op.drop_table('recommendation_vpa')
    # ### end Alembic commands ###
